{
	"name": "merchant-manage-ui",
	"version": "1.0.0",
	"private": true,
	"description": "商户管理后台",
	"scripts": {
		"analyze": "cross-env ANALYZE=1 umi build",
		"build": "umi build",
		"build:pre": "cross-env PRE_ENV=pre umi build",
		"build:test": "cross-env SENTRY_ENV=test umi build",
		"deploy": "npm run site && npm run gh-pages",
		"fetch:blocks": "pro fetch-blocks && npm run prettier",
		"format-imports": "cross-env import-sort --write '**/*.{js,jsx,ts,tsx}'",
		"gh-pages": "cp CNAME ./dist/ && gh-pages -d dist",
		"i18n-remove": "pro i18n-remove --locale=zh-CN --write",
		"lint": "npm run lint:js && npm run lint:style && npm run lint:prettier",
		"lint-staged": "lint-staged",
		"lint-staged:js": "eslint --ext .js,.jsx,.ts,.tsx ",
		"lint:fix": "eslint --fix --cache --ext .js,.jsx,.ts,.tsx --format=pretty ./src && npm run lint:style",
		"lint:js": "eslint --cache --ext .js,.jsx,.ts,.tsx --format=pretty ./src",
		"lint:prettier": "check-prettier lint",
		"lint:style": "stylelint --fix \"src/**/*.less\" --syntax less",
		"prettier": "prettier -c --write \"**/*\"",
		"start": "umi dev",
		"start:no-mock": "cross-env MOCK=none umi dev",
		"start:no-ui": "cross-env UMI_UI=none umi dev",
		"test": "umi test",
		"test:all": "node ./tests/run-tests.js",
		"test:component": "umi test ./src/components",
		"ui": "umi ui"
	},
	"husky": {
		"hooks": {
			"pre-commit": "npm run lint-staged"
		}
	},
	"lint-staged": {
		"**/*.less": "stylelint --syntax less",
		"**/*.{js,jsx,tsx,ts,less,md,json}": [
			"prettier --write",
			"git add"
		],
		"**/*.{js,jsx}": "npm run lint-staged:js",
		"**/*.{js,ts,tsx}": "npm run lint-staged:js"
	},
	"browserslist": [
		"> 1%",
		"last 2 versions",
		"not ie <= 10"
	],
	"dependencies": {
		"@ant-design/colors": "^3.1.0",
		"@ant-design/compatible": "^1.1.0",
		"@ant-design/cssinjs": "^1.10.1",
		"@ant-design/icons": "^4.7.0",
		"@ant-design/pro-components": "^2.3.59",
		"@ant-design/pro-layout": "^4.11.4",
		"@ant-design/pro-table": "^1.0.31",
		"@antv/data-set": "^0.10.2",
		"@sentry/react": "^7.41.0",
		"antd": "^4.24.10",
		"antd-img-crop": "4.12.2",
		"antd-virtual-select": "^1.1.2",
		"array-move": "^4.0.0",
		"babel-eslint": "^10.1.0",
		"classnames": "^2.2.6",
		"date-fns": "^2.16.1",
		"dva": "^2.4.1",
		"file-saver": "^2.0.5",
		"lodash": "^4.17.11",
		"moment": "^2.24.0",
		"omit.js": "^1.0.2",
		"path-to-regexp": "^3.1.0",
		"pubsub-js": "^1.9.4",
		"qs": "^6.9.0",
		"rc-field-form": "^1.33.0",
		"react": "^16.14.0",
		"react-amap": "^1.2.8",
		"react-bmapgl": "^0.2.17",
		"react-copy-to-clipboard": "^5.0.1",
		"react-dnd": "10.0.2",
		"react-dnd-html5-backend": "10.0.2",
		"react-dom": "^16.14.0",
		"react-helmet": "^5.2.1",
		"react-router-dom": "^5.1.2",
		"react-sortable-hoc": "^2.0.0",
		"react-sortablejs": "^6.0.0",
		"react-window": "^1.8.8",
		"slash2": "^2.0.0",
		"sortablejs": "^1.13.0",
		"umi": "^3.0.0",
		"umi-request": "^1.2.7",
		"webpack-theme-color-replacer": "^1.2.15"
	},
	"devDependencies": {
		"@ant-design/pro-cli": "^1.0.13",
		"@qg/sentry-webpack-plugin": "^1.19.0",
		"@types/classnames": "^2.2.7",
		"@types/express": "^4.17.0",
		"@types/history": "^4.7.2",
		"@types/jest": "^24.0.13",
		"@types/lodash": "^4.14.144",
		"@types/qs": "^6.5.3",
		"@types/react": "^16.8.19",
		"@types/react-dom": "^16.8.4",
		"@types/react-helmet": "^5.0.13",
		"@umijs/fabric": "^1.2.0",
		"@umijs/plugin-blocks": "^2.0.5",
		"@umijs/preset-ant-design-pro": "^1.0.1",
		"@umijs/preset-react": "^1.3.0",
		"@umijs/preset-ui": "^2.0.9",
		"chalk": "^2.4.2",
		"check-prettier": "^1.0.3",
		"cross-env": "^6.0.0",
		"cross-port-killer": "^1.1.1",
		"enzyme": "^3.9.0",
		"eslint": "5.16.0",
		"express": "^4.17.1",
		"gh-pages": "^2.0.1",
		"husky": "^3.0.0",
		"import-sort-cli": "^6.0.0",
		"import-sort-parser-babylon": "^6.0.0",
		"import-sort-parser-typescript": "^6.0.0",
		"import-sort-style-module": "^6.0.0",
		"jest-puppeteer": "^4.2.0",
		"lint-staged": "^9.0.0",
		"mockjs": "^1.0.1-beta3",
		"node-fetch": "^2.6.0",
		"prettier": "^1.17.1",
		"pro-download": "1.0.1",
		"stylelint": "^10.1.0",
		"webpack": "^4.46.0"
	},
	"engines": {
		"node": ">=10.0.0"
	},
	"checkFiles": [
		"src/**/*.js*",
		"src/**/*.ts*",
		"src/**/*.less",
		"config/**/*.js*",
		"scripts/**/*.js"
	],
	"author": "congmin.hao"
}
